<template>
  <v-app>
    <v-app-bar
      v-if="$route.meta.hideAppBar == undefined || !$route.meta.hideAppBar"
      app
      color="transparent"
      tile
      flat
      short
    >
      <div class="d-flex align-center">{{company}}</div>

      <v-spacer></v-spacer>

      <span class="mr-2">{{devicename}} - {{username}}</span>
      <!-- <v-btn text @click="logout">
      </v-btn>-->
    </v-app-bar>

    <v-main>
      <router-view />
    </v-main>
  </v-app>
</template>

<script>
const { ipcRenderer } = require('electron');
export default {
  name: 'App',
  data: () => ({
    company: '',
    username: '',
    devicename: '',
  }),
  mounted() {
    this.company = ipcRenderer.sendSync('get-config', 'company');
    this.devicename = ipcRenderer.sendSync('get-devicename');
    this.username = ipcRenderer.sendSync('get-username');
  },
};
</script>

<style>
.theme--dark.v-application {
  background: #262626;
}
html {
  overflow: hidden !important;
}
</style>
